package com.example.e03builduiwithlayouteditor2

import androidx.appcompat.app.AppCompatActivity
import android.os.Bundle
import android.view.View
import android.widget.ImageView
import android.widget.TextView


class MainActivity : AppCompatActivity() {
    private val firstNames = arrayOf("Renato", "Rosangela", "Tim", "Barton", "Jeannette", "Ali", "Becky", "Coco", "Ragnar")
    private val lastNames = arrayOf("Ksenia", "MetLife", "Asuncion", "Zemfira", "Gang", "G", "G", "A", "B")
    private val jobTitles = arrayOf("District Quality Coordinator","International Intranet Representative","District Intranet Administrator","Dynamic Research Manager","Central Infrastructure Consultant", "Lorem ipsum dolor amit sen", "Lorem ipsum dolor amit sen", "Lorem ipsum dolor amit sen", "Lorem ipsum dolor amit sen")

    // function displays employees data in UI
    private fun showEmployeeData(index: Int) {
        // data for the employee
        val firstName = firstNames[index]
        val lastName = lastNames[index]
        val jobTitle = jobTitles[index]
        val employeeInfo = getString(R.string.employee_info_text, lastNames[index], firstNames[index], jobTitles[index], getString(R.string.description))
        var imageSrc = 1
        when(index) {
            0 -> imageSrc = R.drawable.employee1
            1 -> imageSrc = R.drawable.employee2
            2 -> imageSrc = R.drawable.employee3
            3 -> imageSrc = R.drawable.employee4
            4 -> imageSrc = R.drawable.employee5
            5 -> imageSrc = R.drawable.employee6
            6 -> imageSrc = R.drawable.employee7
            7 -> imageSrc = R.drawable.employee8
            8 -> imageSrc = R.drawable.employee9
        }

        // find TextView's from the UI layout file
        val firstNameTextview = findViewById<TextView>(R.id.first_name)
        val lastNameTextView = findViewById<TextView>(R.id.last_name)
        val jobTitleTextView = findViewById<TextView>(R.id.job_title)
        val employeeInfoTextView = findViewById<TextView>(R.id.employee_info_text)
        // Update TextView texts
        firstNameTextview.text = firstName
        lastNameTextView.text = lastName
        jobTitleTextView.text = jobTitle
        employeeInfoTextView.text = employeeInfo

        // find imageView and display correct employee image
        val imageView = findViewById<ImageView>(R.id.employee_image)
        imageView.setImageResource(imageSrc)
    }

    // function will be called from the UI
    fun numberClicked(view: View?) {
        // get clicked view as a textview and it text as a string
        val text = (view as TextView).text.toString()
        println(text)
        // modify string to int and decrease by one (array's start position 0)
        val int = text.toInt() - 1
        // show selected employee data in UI, call earlier made function
        showEmployeeData(int)
    }

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.activity_main)

        showEmployeeData(0)
    }
}